uniform sampler2DShadow LightShadowMap;

varying float LightIntensity;
varying vec4 ShadowCoord;

void main()
{
    vec4 Color = vec4(1.0, 0.0, 0.0, 1.0) * LightIntensity;
    //vec4 Color = vec4(1.0, 1.0, 1.0, 1.0) * texture2D(LightShadowMap, gl_TexCoord[0].st);
    
    float distanceFromLight = textureProj(LightShadowMap, ShadowCoord);
    
    float shadeFactor = 1.0;
    if (distanceFromLight < ShadowCoord.z/ShadowCoord.w)
      shadeFactor = 0.5;
    
	gl_FragColor = vec4 (shadeFactor * Color.rgb, Color.a);
}